Skip to content
Search
Search the documentation
OAuthTokenResponseSchema
GitHub GitHub

OAuthTokenResponseSchema

Variable: OAuthTokenResponseSchema

const OAuthTokenResponseSchema: ZodMiniObject<{ access_token: ZodMiniString<string>; expires_in: ZodMiniNumber<number>; project: ZodMiniOptional<ZodMiniObject<{ id: ZodMiniString<string>; name: ZodMiniString<string>; platform: ZodMiniEnum<{ discord: "discord"; roblox: "roblox"; }>; platform_id: ZodMiniString<string>; type: ZodMiniEnum<{ bot: "bot"; game: "game"; server: "server"; }>; }, $strip>>; refresh_token: ZodMiniString<string>; scope: ZodMiniString<string>; token_type: ZodMiniLiteral<"Bearer">; }, $strip>

Defined in: v1/schemas/oauth.ts:178

Response from the OAuth token endpoint.

  • POST /v1/oauth2/token